## polymake 4.4

=== Makefile ===
#  Copyright (c) 1997-2021
#  Ewgenij Gawrilow, Michael Joswig, and the polymake team
#  Technische Universität Berlin, Germany
#  https://polymake.org
#
#  This program is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the
#  Free Software Foundation; either version 2, or (at your option) any
#  later version: http://www.gnu.org/licenses/gpl.txt.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#-----------------------------------------------------------------------------

#
#  Mostly forwarding to ninja, for backward compatibility reasons
#
.PHONY: all install clean distclean test

NINJA := ninja

override DeveloperMode := $(wildcard support/export.make)
override BuildRoot := $(firstword $(wildcard build.${Arch}) build)
_BuildDir = ${BuildRoot}/$(if $(filter Debug=y% Debug=Y%, ${MAKEFLAGS}),Debug,Opt)

# DESTDIR is often specified as make parameter but ninja doesnt support this
# and we forward it via an environment variable
ifdef $(DESTDIR)
	export DESTDIR
endif

all install :
	${NINJA} -C $(_BuildDir) $@

test : all
	perl/polymake --script run_testcases

clean :
	${NINJA} -C $(_BuildDir) clean.all
	${NINJA} -C $(_BuildDir) -t clean all
	rm -rf ${BuildRoot}/doc

distclean:
	rm -rf build build.*

ifdef DeveloperMode
  include support/export.make
endif

=== bundled/javaview/Makefile ===
#  Copyright (c) 1997-2021
#  Ewgenij Gawrilow, Michael Joswig, and the polymake team
#  Technische Universität Berlin, Germany
#  https://polymake.org
#
#  This program is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the
#  Free Software Foundation; either version 2, or (at your option) any
#  later version: http://www.gnu.org/licenses/gpl.txt.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#-----------------------------------------------------------------------------

include ${ProjectTop}/support/java_in_extension.make

=== debian/changelog ===
polymake (4.4-4build2) jammy; urgency=medium

  * No-change rebuild against libeantic1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Mar 2022 17:23:47 +0000

polymake (4.4-4build1) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Feb 2022 07:51:48 +0100

polymake (4.4-4) unstable; urgency=medium

  * Add singular-{data,modules,ui} for tests, thanks to Lucas Nussbaum,
    Benjamin Lorenz (Closes: #1002281).

 -- David Bremner <bremner@debian.org>  Wed, 22 Dec 2021 09:25:46 -0400

polymake (4.4-3) unstable; urgency=medium

  * Source only upload

 -- David Bremner <bremner@debian.org>  Sun, 31 Oct 2021 12:03:41 -0300

polymake (4.4-2) unstable; urgency=medium

  * Re-upload with binaries, and to unstable

 -- David Bremner <bremner@debian.org>  Wed, 01 Sep 2021 12:16:33 -0700

polymake (4.4-1) experimental; urgency=medium

  * New upstream release
  * Bug fix: "FTBFS with Perl 5.34: error: ‘Perl_pp_keys’ was not declared
    in this scope", thanks to Niko Tyni (Closes: #993330).

 -- David Bremner <bremner@debian.org>  Tue, 31 Aug 2021 16:08:41 -0700

=== debian/control ===
Source: polymake
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 10),
               libbliss-dev,
               libboost-dev,
               libcdd-dev (>= 094g~),
               libgmp-dev,
               libflint-dev [!mips64el !mipsel],
               libjson-perl,
               liblrs-dev (>= 0.71~),
               libmpfr-dev,
               libnormaliz-dev [!mips64el !mipsel],
               libperl-dev,
               libppl-dev,
               libsingular4-dev,
               libterm-readkey-perl <!nocheck>,
               libterm-readline-gnu-perl <!nocheck>,
               libxml-sax-perl <!nocheck>,
               ninja-build,
               singular-data <!nocheck>,
               singular-modules <!nocheck>,
               singular-ui <!nocheck>,
               uglifyjs,
               pkg-config
Standards-Version: 4.5.0
Homepage: http://www.polymake.org/
Vcs-Browser: https://salsa.debian.org/bremner/polymake.git
Vcs-Git: https://salsa.debian.org/bremner/polymake.git

Package: polymake
Architecture: any
Depends: polymake-common (= ${source:Version}),
         libpolymake-dev-common (= ${source:Version}),
         ninja-build,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: polymake-common (<< 4.0)
Breaks: polymake-common (<< 4.0)
Recommends: gfan, graphviz, iceweasel | chromium | conkeror, xdg-utils
Suggests: povray, texlive-latex-extra, texlive-pictures
Description: Tool for algorithmic discrete geometry
 Polymake started out as a tool for the algorithmic treatment of convex
 polyhedra. By now it also deals with finite simplicial complexes,
 tight spans of finite metric spaces, polyhedral surfaces, and other
 discrete mathematical objects.
 .
 This package contains the core module and the application modules.

Package: polymake-common
Architecture: all
Depends: libpolymake-dev-common (= ${source:Version}),
         g++,
         libjson-perl,
         libmongodb-perl,
         libterm-readkey-perl,
         libterm-readline-gnu-perl,
         libxml-writer-perl,
         sensible-utils,
         singular,
         ${perl:Depends},
         ${misc:Depends}
Replaces: polymake (<< 3.2)
Breaks: polymake (<< 3.2)
Description: Tool for algorithmic discrete geometry -- shared files
 Polymake started out as a tool for the algorithmic treatment of convex
 polyhedra. By now it also deals with finite simplicial complexes,
 tight spans of finite metric spaces, polyhedral surfaces, and other
 discrete mathematical objects.
 .
 This package contains architecture independent material.

Package: libpolymake4.4
Provides: libpolymake
Section: libs
Architecture: any
Conflicts: libpolymake
Depends: polymake-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: polymake (<< 3.2)
Breaks: polymake (<< 3.2)
Description: Tool for algorithmic discrete geometry -- library package
 Polymake started out as a tool for the algorithmic treatment of convex
 polyhedra. By now it also deals with finite simplicial complexes,
 tight spans of finite metric spaces, polyhedral surfaces, and other
 discrete mathematical objects.
 .
 This package contains shared libraries.

Package: libpolymake-dev
Section: libdevel
Architecture: any
Depends: libpolymake4.4 (= ${binary:Version}),
         libpolymake-dev-common (= ${source:Version}),
         ${misc:Depends}
Replaces: polymake (<< 3.2)
Breaks: polymake (<< 3.2)
Description: Tool for algorithmic discrete geometry -- development package
 Polymake started out as a tool for the algorithmic treatment of convex
 polyhedra. By now it also deals with finite simplicial complexes,
 tight spans of finite metric spaces, polyhedral surfaces, and other
 discrete mathematical objects.
 .
 This package contains shared library symlinks.


Package: libpolymake-dev-common
Section: libdevel
Architecture: all
Depends: libflint-dev,
         libgmp-dev,
         libmpfr-dev,
         ${misc:Depends}
Replaces: polymake (<< 3.2)
Breaks: polymake (<< 3.2)
Description: Tool for algorithmic discrete geometry -- common dev package
 Polymake started out as a tool for the algorithmic treatment of convex
 polyhedra. By now it also deals with finite simplicial complexes,
 tight spans of finite metric spaces, polyhedral surfaces, and other
 discrete mathematical objects.
 .
 This package contains common header files.

## polymake 4.6

=== debian/changelog ===
polymake (4.6-5) unstable; urgency=medium

  * Bug fix: "missing dependency on perlapi", thanks to Niko Tyni (Closes:
    #1015013).

 -- David Bremner <bremner@debian.org>  Fri, 22 Jul 2022 07:00:51 -0400

polymake (4.6-4) unstable; urgency=medium

  * Bug fix: "FTBFS with Perl 5.36: HVhek_UNSHARED’ was not declared in
    this scope", thanks to Niko Tyni and Benjamin Lorenz (Closes:
    #1014296).

 -- David Bremner <bremner@debian.org>  Mon, 04 Jul 2022 14:46:59 -0300

polymake (4.6-3) unstable; urgency=medium

  * Source only upload.

 -- David Bremner <bremner@debian.org>  Mon, 06 Jun 2022 10:16:31 -0300

polymake (4.6-2) unstable; urgency=medium

  * re-upload with binaries.

 -- David Bremner <bremner@debian.org>  Fri, 22 Apr 2022 16:01:43 -0300

polymake (4.6-1) unstable; urgency=medium

  * New upstream release

 -- David Bremner <bremner@debian.org>  Fri, 22 Apr 2022 11:19:48 -0300

polymake (4.4-5) unstable; urgency=medium

  * Add missing symlink to libpolymake4.4 (Thanks to Ewgenij Gawrilow for
    the patch).

 -- David Bremner <bremner@debian.org>  Tue, 15 Mar 2022 09:08:10 -0300

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: polymake
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: David Bremner <bremner@debian.org>
+Maintainer: David Bremner <bremner@debian.org>
 Build-Depends: debhelper (>= 10),
                libbliss-dev,
                libboost-dev,
                libcdd-dev (>= 094g~),
                libgmp-dev,
-               libflint-dev [!mips64el !mipsel],
+               libflint-dev,
                libjson-perl,
                liblrs-dev (>= 0.71~),
                libmpfr-dev,
-               libnormaliz-dev [!mips64el !mipsel],
+               libnormaliz-dev,
                libperl-dev,
                libppl-dev,
                libsingular4-dev,
@@ -36,6 +35,7 @@
          libpolymake-dev-common (= ${source:Version}),
          ninja-build,
          ${misc:Depends},
+         ${perl:Depends},
          ${shlibs:Depends}
 Replaces: polymake-common (<< 4.0)
 Breaks: polymake-common (<< 4.0)
@@ -72,7 +72,7 @@
  .
  This package contains architecture independent material.
 
-Package: libpolymake4.4
+Package: libpolymake4.6
 Provides: libpolymake
 Section: libs
 Architecture: any
@@ -93,7 +93,7 @@
 Package: libpolymake-dev
 Section: libdevel
 Architecture: any
-Depends: libpolymake4.4 (= ${binary:Version}),
+Depends: libpolymake4.6 (= ${binary:Version}),
          libpolymake-dev-common (= ${source:Version}),
          ${misc:Depends}
 Replaces: polymake (<< 3.2)

## polymake 4.11

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#  Copyright (c) 1997-2021
+#  Copyright (c) 1997-2023
 #  Ewgenij Gawrilow, Michael Joswig, and the polymake team
 #  Technische Universität Berlin, Germany
 #  https://polymake.org

=== bundled/javaview/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#  Copyright (c) 1997-2021
+#  Copyright (c) 1997-2023
 #  Ewgenij Gawrilow, Michael Joswig, and the polymake team
 #  Technische Universität Berlin, Germany
 #  https://polymake.org

=== debian/changelog ===
polymake (4.11-2build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:48:30 +0000

polymake (4.11-2build4) noble; urgency=medium

  * No-change rebuild against libperl5.38t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 18:22:58 +0000

polymake (4.11-2build3) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 17:04:02 +0100

polymake (4.11-2build2) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 14:12:53 +0100

polymake (4.11-2build1) noble; urgency=medium

  * No-change rebuild against libflint18

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 06 Jan 2024 15:16:45 +0000

polymake (4.11-2) unstable; urgency=medium

  * Source-only upload

 -- David Bremner <bremner@debian.org>  Wed, 22 Nov 2023 09:10:20 -0400

polymake (4.11-1) unstable; urgency=medium

  * New upstream release (Closes: #1042521).
  * Apply upstream commit 4ce0549f (Closes: #1052830).

 -- David Bremner <bremner@debian.org>  Mon, 20 Nov 2023 17:02:44 -0400

polymake (4.8-1) unstable; urgency=medium

  * New Upstream release
  * Bug fix: "VISUAL fails when browser is already started", thanks to
    Joachim Zobel (Closes: #1016002). Tested with Chromium 108.

 -- David Bremner <bremner@debian.org>  Mon, 26 Dec 2022 12:30:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: polymake
 Section: math
 Priority: optional
-Maintainer: David Bremner <bremner@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Bremner <bremner@debian.org>
 Build-Depends: debhelper (>= 10),
                libbliss-dev,
                libboost-dev,
@@ -72,7 +73,7 @@
  .
  This package contains architecture independent material.
 
-Package: libpolymake4.6
+Package: libpolymake4.11
 Provides: libpolymake
 Section: libs
 Architecture: any
@@ -93,7 +94,7 @@
 Package: libpolymake-dev
 Section: libdevel
 Architecture: any
-Depends: libpolymake4.6 (= ${binary:Version}),
+Depends: libpolymake4.11 (= ${binary:Version}),
          libpolymake-dev-common (= ${source:Version}),
          ${misc:Depends}
 Replaces: polymake (<< 3.2)

## polymake 4.12

=== bundled/javaview/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#  Copyright (c) 1997-2023
+#  Copyright (c) 1997-2024
 #  Ewgenij Gawrilow, Michael Joswig, and the polymake team
 #  Technische Universität Berlin, Germany
 #  https://polymake.org

=== external/permlib/test/CMakeLists.txt ===
find_package(Boost 1.34.1 REQUIRED unit_test_framework)

include_directories(../include)

set(executables test-base test-trans test-generators test-partition test-permutation 
    test-search-setstabilizer test-symmetric-group test-search-matrixauto test-orbit-lex-min 
    test-api test-test test-export test-abstract-groups)

foreach(_exec ${executables})
  add_executable (${_exec} "${_exec}.cpp")
  add_test(${_exec} ${_exec})
  target_link_libraries(${_exec} ${Boost_UNIT_TEST_FRAMEWORK_LIBRARY})
endforeach(_exec)

=== debian/changelog ===
polymake (4.12-3build2) questing; urgency=medium

  * No-change rebuild for libflint soname.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Sep 2025 12:35:12 +0200

polymake (4.12-3build1) plucky; urgency=medium

  * No-change rebuild for libsingular4m4n1.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 28 Jan 2025 17:13:02 +0000

polymake (4.12-3) unstable; urgency=medium

  * Bug fix: "FTBFS with Perl 5.40: polymake has not been checked for
    compatibility with perl 5.40 or newer", thanks to Niko and Gregor
    (Closes: #1078040).

 -- David Bremner <bremner@debian.org>  Tue, 20 Aug 2024 12:41:37 -0300

polymake (4.12-2) unstable; urgency=medium

  * Upload to unstable

 -- David Bremner <bremner@debian.org>  Sun, 16 Jun 2024 07:46:21 -0300

polymake (4.12-1) experimental; urgency=medium

  * Update to new upstream version 4.12.
  * Bump soname to libpolymake.so.4.12
  * Patch: Add extra parameter to calls to checkindex (Closes: #1073173).
  * Ignore / revert t64 changes, superseded by new SONAME

 -- David Bremner <bremner@debian.org>  Thu, 13 Jun 2024 20:47:41 -0300

polymake (4.11-2.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 05 Feb 2024 20:09:44 -0300

## polymake 4.14

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#  Copyright (c) 1997-2023
+#  Copyright (c) 1997-2024
 #  Ewgenij Gawrilow, Michael Joswig, and the polymake team
 #  Technische Universität Berlin, Germany
 #  https://polymake.org

=== external/permlib/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (PermLib)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})
include(UseDoxygen OPTIONAL)

SET (Boost_FIND_REQUIRED TRUE)
SET (Boost_FIND_QUIETLY TRUE)
SET (Boost_USE_MULTITHREADED TRUE)
find_package(Boost 1.34.1 REQUIRED)

IF( NOT CMAKE_BUILD_TYPE )
    SET( CMAKE_BUILD_TYPE Debug CACHE STRING
            "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel."
             FORCE )
ENDIF( NOT CMAKE_BUILD_TYPE )

add_definitions(-Wall -Woverloaded-virtual -ansi -pedantic -Wshadow)
include_directories(${Boost_INCLUDE_DIRS})
include_directories("${CMAKE_SOURCE_DIR}/include")

set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO} -O3 -g -DBOOST_DISABLE_ASSERTS")

# add -DPERMLIB_DEBUG_OUTPUT flag for full debug output
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DPERMLIB_DEBUGMODE")


enable_testing()

add_subdirectory(example)
add_subdirectory(test)

exec_program( ${CMAKE_COMMAND} ARGS -E copy_directory ${PROJECT_SOURCE_DIR}/data ${PROJECT_BINARY_DIR}/data )

=== external/permlib/example/CMakeLists.txt ===
include_directories(../include)

set(executables api-example example example-coset example-orbit example-smallgeneratingset)

foreach(_exec ${executables})
  add_executable ("${_exec}" "${_exec}.cpp")
endforeach(_exec)

=== bundled/sympol/external/sympol/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (SymPol)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/external/cmake/Modules")

include_directories(${CMAKE_CURRENT_BINARY_DIR})

FIND_PACKAGE(GMP REQUIRED)
include_directories(${GMP_INCLUDE_DIR})

IF( NOT CMAKE_BUILD_TYPE )
    SET( CMAKE_BUILD_TYPE Debug CACHE STRING
            "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel."
             FORCE )
ENDIF( NOT CMAKE_BUILD_TYPE )

add_definitions(-Wall)
set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO} -O3 -g -DBOOST_DISABLE_ASSERTS -DEIGEN_NO_DEBUG")
set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3 -DBOOST_DISABLE_ASSERTS -DEIGEN_NO_DEBUG")

enable_testing()
add_test(NAME perltest WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/contrib COMMAND perl test-sympol.pl ${PROJECT_BINARY_DIR})

add_subdirectory(sympol)
add_subdirectory(external/lrslib-042c)
add_subdirectory(external/cddlib-094f)
add_subdirectory(test)

exec_program( ${CMAKE_COMMAND} ARGS -E copy_directory ${PROJECT_SOURCE_DIR}/data ${PROJECT_BINARY_DIR}/data )

=== bundled/sympol/external/sympol/sympol/CMakeLists.txt ===
INCLUDE (CheckSymbolExists)
INCLUDE (CheckTypeSize)
INCLUDE (CheckIncludeFile)

# Version number
SET(SYMPOL_MAJOR 0)
SET(SYMPOL_MINOR 1)
SET(SYMPOL_PATCH 8)
SET(SYMPOL_VERSION ${SYMPOL_MAJOR}.${SYMPOL_MINOR}.${SYMPOL_PATCH})

MESSAGE(STATUS "Building SymPol version ${SYMPOL_VERSION}")

CHECK_SYMBOL_EXISTS(sysconf "stdlib.h;unistd.h" HAVE_SYSCONF_PROTO)
CHECK_SYMBOL_EXISTS(getrusage "sys/resource.h" HAVE_GETRUSAGE_PROTO) 
CHECK_TYPE_SIZE(uint UINT)
CHECK_TYPE_SIZE(ulong ULONG)

find_package(Eigen3 3.0)
IF(EIGEN3_FOUND)
  include_directories(${EIGEN3_INCLUDE_DIR})
  set(HAVE_EIGEN 1)
ENDIF(EIGEN3_FOUND)

find_package(Bliss)
IF(BLISS_FOUND)
  include_directories(${BLISS_INCLUDE_DIR})
  set(TARGET_LIBS ${TARGET_LIBS} ${BLISS_LIBRARIES})
  set(HAVE_BLISS 1)
ENDIF(BLISS_FOUND)


CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)


SET (Boost_FIND_REQUIRED TRUE)
SET (Boost_FIND_QUIETLY TRUE)
SET (Boost_USE_MULTITHREADED TRUE)
find_package(Boost 1.34.1 COMPONENTS program_options REQUIRED)
include_directories(${Boost_INCLUDE_DIRS})

include_directories(../external/boost ../external/permlib ../external/lrslib-042c ../external/cddlib-094f ${CMAKE_CURRENT_BINARY_DIR})
add_definitions(-Woverloaded-virtual)
# lrs flags
add_definitions(-DGMP -DLRS_QUIET)
# cdd flags
add_definitions(-DGMPRATIONAL)


add_library(sympol SHARED 
  configuration.cpp
  polyhedronio.cpp 
  polyhedron.cpp
  polyhedrondatastorage.cpp
  qarray.cpp
  raycomputationlrs.cpp
  raycomputationcdd.cpp
  recursionstrategy.cpp
  symmetrycomputation.cpp
  symmetrycomputationdirect.cpp
  symmetrycomputationadm.cpp
  symmetrycomputationidm.cpp
  facesuptosymmetrylist.cpp
  symmetrygroupconstruction/matrixconstruction.cpp
  symmetrygroupconstruction/matrixconstructiondefault.cpp
  symmetrygroupconstruction/matrixconstructioneigen.cpp
  symmetrygroupconstruction/graphconstructiondefault.cpp
  symmetrygroupconstruction/graphconstructionbliss.cpp
  yal/reportlevel.cpp
  yal/usagestats.cpp
)
set_target_properties(sympol PROPERTIES VERSION ${SYMPOL_MAJOR}.${SYMPOL_MINOR}.${SYMPOL_PATCH} SOVERSION ${SYMPOL_MAJOR}.${SYMPOL_MINOR})

add_executable(sympolbin sympol.cpp)
set_target_properties(sympolbin PROPERTIES OUTPUT_NAME sympol)

set(TARGET_LIBS ${TARGET_LIBS} lrsgmp cddgmp ${GMP_LIBRARIES} ${Boost_LIBRARIES})
target_link_libraries(sympol ${TARGET_LIBS})
target_link_libraries(sympolbin sympol)

if(INCLUDE_INSTALL_DIR)
else()
set(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/include)
endif()
if(LIB_INSTALL_DIR)
else()
set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib)
endif()
if(BIN_INSTALL_DIR)
else()
set(BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin)
endif()

install(TARGETS sympolbin sympol
        RUNTIME DESTINATION ${BIN_INSTALL_DIR}
        LIBRARY DESTINATION ${LIB_INSTALL_DIR})
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/config.h
  common.h
  configuration.h
  facesuptosymmetrylist.h
  facewithdata.h
  matrix/algorithm.h
  matrix/invert.h
  matrix/matrix.h
  matrix/rank.h
  matrix/zmatrix.h
  polyhedrondatastorage.h
  polyhedron.h
  polyhedronio.h
  qarray.h
  raycomputationcdd.h
  raycomputation.h
  raycomputationlrs.h
  recursionstrategyadmidmlevel.h
  recursionstrategy.h
  recursionstrategyidmadm.h
  recursionstrategyidmadmlevel.h
  symmetrycomputationadm.h
  symmetrycomputationadmmemento.h
  symmetrycomputationdirect.h
  symmetrycomputation.h
  symmetrycomputationidm.h
  symmetrycomputationidmmemento.h
  symmetrycomputationmemento.h
  symmetrygroupconstruction/computesymmetries.h
  symmetrygroupconstruction/graphconstructionbliss.h
  symmetrygroupconstruction/graphconstructiondefault.h
  symmetrygroupconstruction/graphconstruction.h
  symmetrygroupconstruction/matrixconstructiondefault.h
  symmetrygroupconstruction/matrixconstructioneigen.h
  symmetrygroupconstruction/matrixconstruction.h
  types.h
  yal/logger.h
  yal/reportlevel.h
  yal/usagestats.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/sympol)
install(FILES ../man/sympol.1
        DESTINATION "share/man/man1")

=== bundled/sympol/external/sympol/test/CMakeLists.txt ===
find_package(Boost 1.34.1 REQUIRED unit_test_framework)

include_directories(../sympol)

set(executables test-rank)

foreach(_exec ${executables})
  add_executable (${_exec} "${_exec}.cpp")
  add_test(${_exec} ${_exec})
  target_link_libraries(${_exec} ${Boost_LIBRARIES} ${GMP_LIBRARIES})
endforeach(_exec)

=== debian/changelog ===
polymake (4.14-1) unstable; urgency=medium

  * Update to new upstream version 4.14. (Closes: #1097635).

 -- David Bremner <bremner@debian.org>  Sun, 14 Sep 2025 21:11:25 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: polymake
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: David Bremner <bremner@debian.org>
+Maintainer: David Bremner <bremner@debian.org>
 Build-Depends: debhelper (>= 10),
                libbliss-dev,
                libboost-dev,
@@ -10,7 +9,7 @@
                libgmp-dev,
                libflint-dev,
                libjson-perl,
-               liblrs-dev (>= 0.71~),
+               liblrs-dev (>= 0.73~),
                libmpfr-dev,
                libnormaliz-dev,
                libperl-dev,
@@ -73,7 +72,7 @@
  .
  This package contains architecture independent material.
 
-Package: libpolymake4.11
+Package: libpolymake4.12
 Provides: libpolymake
 Section: libs
 Architecture: any
@@ -94,7 +93,7 @@
 Package: libpolymake-dev
 Section: libdevel
 Architecture: any
-Depends: libpolymake4.11 (= ${binary:Version}),
+Depends: libpolymake4.12 (= ${binary:Version}),
          libpolymake-dev-common (= ${source:Version}),
          ${misc:Depends}
 Replaces: polymake (<< 3.2)

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
include /usr/share/dpkg/architecture.mk

CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
# 4G per CPU seems OK.
ifeq ($(wildcard /proc/meminfo),)
	MAX_CPUS=1
else
	MAX_CPUS=$(shell awk '/^MemTotal/ { print int($$2/(4096*1024)+0.5) }' /proc/meminfo)
endif

WEAK_ARCHES="mips mipsel mips64el armhf"
ifneq (,$(findstring ${DEB_BUILD_ARCH},${WEAK_ARCHES}))
CXXOPT=-O1 -g1
else
CXXOPT="-O2"
endif
ifneq (,$(findstring ${DEB_BUILD_ARCH},mipsel mips64el))
export DEB_LDFLAGS_MAINT_APPEND=-fuse-ld=bfd
#EXTRA_CONFIG_FLAGS=--without-flint --without-libnormaliz
endif

export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS

JS:= three.js OrbitControls.js Projector.js SVGRenderer.js TrackballControls.js WebGL.js
JSSOURCE=$(addprefix external/js/,${JS})

build build-arch build-indep binary binary-arch binary-indep clean:
	dh $@ --max-parallel="${MAX_CPUS}"

override_dh_auto_configure:
	./configure --prefix=/usr --without-java \
		--without-native \
		${EXTRA_CONFIG_FLAGS} \
		CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}" \
		LDFLAGS="${LDFLAGS}" CXXOPT="${CXXOPT}"

override_dh_auto_test:
	 HOME=$$(mktemp -p build -d) perl perl/polymake --script run_testcases --emacs-style

override_dh_auto_clean:
	# avoid calling configure to clean
	rm -rf build

override_dh_perl:
	dh_perl usr/lib/polymake/perlx

override_dh_auto_build:
	uglifyjs ${JSSOURCE} -c -m -o resources/threejs/js/three.polymake.js
	ninja -v -C build/Opt all -j${MAX_CPUS}

## polymake 4.15

=== debian/changelog ===
polymake (4.15-2) unstable; urgency=medium

  * Upload built binaries.

 -- David Bremner <bremner@debian.org>  Tue, 10 Feb 2026 10:46:28 +0900

polymake (4.15-1) unstable; urgency=medium

  * Update to new upstream version 4.15.
  * Replace build dependency pkg-config with pkgconf

 -- David Bremner <bremner@debian.org>  Mon, 09 Feb 2026 19:17:29 +0900

polymake (4.14-2) unstable; urgency=medium

  * Remove support for nocheck build profile (Closes: #1116838).

 -- David Bremner <bremner@debian.org>  Wed, 01 Oct 2025 15:31:19 -0300

=== debian/control ===
--- 
+++ 
@@ -15,15 +15,15 @@
                libperl-dev,
                libppl-dev,
                libsingular4-dev,
-               libterm-readkey-perl <!nocheck>,
-               libterm-readline-gnu-perl <!nocheck>,
-               libxml-sax-perl <!nocheck>,
+               libterm-readkey-perl,
+               libterm-readline-gnu-perl,
+               libxml-sax-perl,
                ninja-build,
-               singular-data <!nocheck>,
-               singular-modules <!nocheck>,
-               singular-ui <!nocheck>,
+               singular-data,
+               singular-modules,
+               singular-ui,
                uglifyjs,
-               pkg-config
+               pkgconf
 Standards-Version: 4.5.0
 Homepage: http://www.polymake.org/
 Vcs-Browser: https://salsa.debian.org/bremner/polymake.git
@@ -72,7 +72,7 @@
  .
  This package contains architecture independent material.
 
-Package: libpolymake4.12
+Package: libpolymake4.15
 Provides: libpolymake
 Section: libs
 Architecture: any
@@ -93,7 +93,7 @@
 Package: libpolymake-dev
 Section: libdevel
 Architecture: any
-Depends: libpolymake4.12 (= ${binary:Version}),
+Depends: libpolymake4.15 (= ${binary:Version}),
          libpolymake-dev-common (= ${source:Version}),
          ${misc:Depends}
 Replaces: polymake (<< 3.2)
